const width = 400;
const height = 300;

const xScale = d3.scaleLinear()
	.domain([0, 100])
	.range([0, width])
	.nice();

const yScale = d3.scaleLinear()
	.domain([0, 100])
	.range([height, 0])
	.nice();


// Construct Axis
d3.select('g.container')
	.append('g')
	.attr('class', 'x-axis')
	.attr('transform', `translate(${60}, ${height})`)
  .call(d3.axisBottom(xScale));

d3.select('g.container')
	.append('g')
	.attr('class', 'y-axis')
	.attr('transform', `translate(${60}, ${0})`)
  .call(d3.axisLeft(yScale));

d3.select('g.container')
	.append('rect')
	.attr('class', 'clicked-area')
	.attr('width', width)
	.attr('height', height)
	.attr('transform', `translate(${60}, ${0})`)
	.style('fill', '#ccc')
	.style('cursor', 'pointer')
	.on('click', doClick);

function doClick(e) {
	const clickedArea = d3.select('.clicked-area').node();

  const pos = d3.pointer(e, clickedArea);
  const xPos = pos[0];
  const yPos = pos[1];
  const xValue = xScale.invert(xPos);
  const yValue = yScale.invert(yPos);
  
  d3.select('.info')
    .text('X: ' + xValue.toFixed(2) + ' Y: ' + yValue.toFixed(2));
}